petsc-3.4.2 2013-07-02

# PetscBarrier

Blocks until this routine is executed by all processors owning the object A.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscBarrier(PetscObject obj)

### Input Parameters

A -PETSc object (Mat, Vec, IS, SNES etc...) Must be caste with a (PetscObject), can use NULL (for MPI_COMM_WORLD)

### Notes

This routine calls MPI_Barrier with the communicator of the PETSc Object "A".

With fortran Use NULL_OBJECT (instead of NULL)

Level:intermediate
Location:src/sys/utils/pbarrier.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex5s.c.html
src/snes/examples/tutorials/ex12.c.html
src/snes/examples/tutorials/ex31.c.html
src/snes/examples/tutorials/ex52.c.html
src/snes/examples/tutorials/ex62.c.html